Issue 66923 - Can't Find JRockit JVM
Can't Find JRockit JVM
Status: RESOLVED FIXED
Product: udk
Classification: Code
Component: code
OOo 2.0.3
PC Windows XP
: P3 trivial with 1 vote (vote)
: 4.0.0
Assigned To: Ariel Constenla-Haile
issues@udk
: oooqa
Depends on:
Blocks: 121368 121425
  Show dependency treegraph
 
Reported: 2006-07-02 02:58 UTC by kingargyle
Modified: 2013-07-11 08:22 UTC (History)
6 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation on: ---
Developer Difficulty: ---


Attachments
JRockit detected on Linux (65.04 KB, image/png)
2012-06-10 22:51 UTC, Ariel Constenla-Haile
no flags Details
JRockit detected on Windows (37.48 KB, image/png)
2012-06-10 23:32 UTC, Ariel Constenla-Haile
no flags Details

Note You need to log in before you can comment on or make changes to this issue.
Description kingargyle 2006-07-02 02:58:37 UTC
This is related to the issue described in 65969, that was supposedly fixed for
2.0.3.  However, when trying to specify an alternative JVM besides the SUN JVM,
it always says, it can't locate a JVM.    Pleaes verify that this issue is
fixed.  I'm using JRockt 1.5.0_04 JRE jrockit-R26.0.0.
Comment 1 kay.ramme 2006-07-03 09:02:33 UTC
Jochen, could you please take a look at this?
Comment 2 joachim.lingner 2006-07-03 09:18:42 UTC
JL@MH: Could you assign this you the respective developer from the community?
Comment 3 Martin Hollmichel 2006-07-03 09:28:31 UTC
never heard of this jvm, can you please provide more inforomation about this ?
Comment 4 kingargyle 2006-07-03 19:43:44 UTC
This is BEA's JRockit JVM.   It can be found here:
http://www.bea.com/framework.jsp?CNT=index.htm&FP=/content/products/jrockit

This was supposedly fixed for 2.0.3, but OO 2.0.3 still doesn't recognize it as
a Java JVM.
Comment 5 pavel 2006-07-10 08:04:02 UTC
Fridrich: can you please have a look at this issue?
Comment 6 fridrich.strba 2006-09-03 07:11:49 UTC
I don't have any machine running Windows that could confirm this issue. Volker,
could you please just try installing the JDK and see whether it appears in the
list of available JDKs in a recent build?
Comment 7 kpalagin 2007-04-22 06:17:52 UTC
Confirming with 2.2 on WinXP - no matter which folder I try in Add Office 
would not recognise that JVM.
Comment 8 jeongkyu.kim 2008-03-06 10:02:00 UTC
A user from Korean community reported the same issue with OpenOffice.org 2.4 rc
on Windows XP. Any progress or workaround?
Comment 9 f1mclaren 2008-03-06 11:16:03 UTC
I have suffered the same problem. If I specified JRockit JRE path, OOo didn't
consider it as proper JVM. I'm using JRockt 1.5.0_04 JRE jrockit-R26.0.0. I have
used OOo 2.4.0 Korean version.
Comment 10 f1mclaren 2008-03-06 11:17:35 UTC
Correct : I'm using jrockit-R27.5.0-jdk1.6.0_03 and OOo 2.4.0 Korean version.
Comment 11 CodeLurker 2012-06-10 20:54:36 UTC
I have just tried this in OO 3.4. Calc and Write seem to run fine on JRockit, but I can't specify that JRockit is my JVM in Options | OpenOffice.org | Java, and I can't create a new database in Base without it; nor open those created on other machines with the standard JVM.
Comment 12 Ariel Constenla-Haile 2012-06-10 22:33:10 UTC
(In reply to comment #11)
> I have just tried this in OO 3.4. Calc and Write seem to run fine on
> JRockit, but I can't specify that JRockit is my JVM in Options |
> OpenOffice.org | Java, and I can't create a new database in Base without it;
> nor open those created on other machines with the standard JVM.

This was fixed at the time by adding "BEA Systems, Inc." to the vendors map.
Now that Oracle Corporation bought BEA Systems, the vendor is no longer BEA but Oracle.

There are two issues now:

- in file javavendors.xml (on Linux it is locate in /opt/openoffice.org/ure/share/misc/javavendors.xml) we set the minimal version for Oracle vendor as 1.7.0:

  <vendor name="Oracle Corporation">
    <minVersion>1.7.0</minVersion>
  </vendor>

This does not work because the JRockit I'm testing with has "Oracle Corporation" as vendor, but the version is 1.6.0_31

- the folder where we look for the jvm library does not work, on the JRokit I'm testing, it's on 

$JROKIT_INSTALL_PATH/jre/lib/amd64/jrockit/libjvm.so

but it's searched on jre/lib/amd64/client/libjvm.so and the other paths set on getRuntimePaths. None of these paths have jrockit as folder.


char const* const* SunInfo::getRuntimePaths(int * size)
{
    static char const* ar[]= {
#if defined(WNT)
        "/bin/client/jvm.dll",
        "/bin/hotspot/jvm.dll",
        "/bin/classic/jvm.dll"
#elif defined(OS2)
        "/bin/classic/jvm.dll",
#elif UNX
        "/lib/" JFW_PLUGIN_ARCH "/client/libjvm.so",
        "/lib/" JFW_PLUGIN_ARCH "/server/libjvm.so",
        "/lib/" JFW_PLUGIN_ARCH "/classic/libjvm.so"
#endif

    };
    *size = sizeof(ar) / sizeof (char*);
    return ar;
}

----------------------------------------

Solutions:

a) downgrade minimal version to 1.6.0 (AFAIK since Oracle bought BEA Systems, it delivered only 1.6 versions)

b) add the jrockit folder to the runtime paths
Comment 13 Ariel Constenla-Haile 2012-06-10 22:33:35 UTC
Started.
Comment 14 Ariel Constenla-Haile 2012-06-10 22:51:22 UTC
Created attachment 78221 [details]
JRockit detected on Linux

Got it working on Linux.
I'll try on Windows next.
Someone else will have to take care of other OSs.
Comment 15 Ariel Constenla-Haile 2012-06-10 23:32:09 UTC
Created attachment 78222 [details]
JRockit detected on Windows
Comment 16 Ariel Constenla-Haile 2012-06-10 23:32:45 UTC
Fixed on Revision 1348680
Comment 17 hdu@apache.org 2013-07-11 08:22:37 UTC
Updated target to release that will contain the fix.